export default function html(strings, ...values) {
    const result = strings.reduce((acc, str, i) => {
        const value = i < values.length ? values[i] : "";
        return acc + str + value;
    }, "");
    return result;
}
export function htmlStringToElement(html) {
    const template = document.createElement("template");
    html = html.trim();
    template.innerHTML = html;
    return template.content.firstChild;
}
export function htmlStringToElements(html) {
    const template = document.createElement("template");
    template.innerHTML = html;
    return template.content.childNodes;
}
